Bug 178542

Summary: Generated serializers do not properly handle optional interface attributes
Product: WebKit Reporter: Andy Estes <aestes>
Component: New BugsAssignee: Andy Estes <aestes>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, commit-queue, esprehn+autocc, kondapallykalyan, sam, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Andy Estes 2017-10-19 14:01:33 PDT
Generated serializers do not properly handle optional interface attributes
Comment 1 Andy Estes 2017-10-19 14:26:25 PDT Comment hidden (obsolete)
Comment 2 Build Bot 2017-10-19 14:28:43 PDT Comment hidden (obsolete)
Comment 3 Build Bot 2017-10-19 14:31:13 PDT Comment hidden (obsolete)
Comment 4 Andy Estes 2017-10-20 10:05:26 PDT
Created attachment 324412 [details]
Patch
Comment 5 Sam Weinig 2017-10-20 10:22:16 PDT
Comment on attachment 324412 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=324412&action=review

> Source/WebCore/bindings/scripts/CodeGeneratorJS.pm:5260
> +                push(@implContent, "        ASSERT(!${name}Value.isUndefined());\n");

I don't think this is necessary.
Comment 6 Andy Estes 2017-10-20 11:43:37 PDT
Created attachment 324421 [details]
Patch
Comment 7 WebKit Commit Bot 2017-10-20 12:21:55 PDT
Comment on attachment 324421 [details]
Patch

Clearing flags on attachment: 324421

Committed r223780: <https://trac.webkit.org/changeset/223780>
Comment 8 WebKit Commit Bot 2017-10-20 12:21:57 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2017-11-15 13:03:38 PST
<rdar://problem/35568705>